
.sy-btn {
    font-family: "Manrope", sans-serif;
    position: relative;
    font-size: 1.25rem;
    font-weight: 500;
    text-decoration: none;
    border: none;
    padding: 0.6rem 1rem;
    cursor: pointer;
    letter-spacing: 1px;
    backdrop-filter: blur(2px);
    transition: all 0.2s;
    &.small {
        padding: 0.2rem 0.7rem !important;
    }

    &::before {
        content: '';
        position: absolute;
        z-index: -1;
        width: 100%;
        height: 2px;
        left: 0;
        bottom: 0;
        transition: all 0.4s;
        background-color: transparent;
        opacity: 1;
    }
    &:hover::before {
        transform: translateY(4px);
    }
    &:active {
        transition: none !important;
        color: var(--pallete-brand-primary) !important;
        &::before {
            transition: none !important;
            background-color: var(--pallete-brand-primary) !important;
        }
    }

    &.light {
        background-color: rgba(var(--pallete-text-primary-rgb), 10%);
        color: rgb(var(--pallete-text-primary-rgb));

        &:hover {
            background-color: rgba(var(--pallete-text-primary-rgb), 90%);
            color: var(--pallete-primary-dark);
            &::before {
                background-color: rgba(var(--pallete-text-primary-rgb), 90%);
            }
        }
    }
    &.dark {
        background-color: rgba(var(--pallete-brand-dark-rgb), 100%);
        color: rgb(var(--pallete-text-primary-rgb));

        &:hover {
            background-color: rgba(var(--pallete-brand-dark-rgb), 80%);
            &::before {
                background-color: rgba(var(--pallete-brand-dark-rgb), 100%);
            }
        }
    }
    &.ghost {
        background-color: rgba(var(--pallete-brand-dark-rgb), 20%);
        color: rgb(var(--pallete-text-primary-rgb));

        &:hover {
            background-color: rgba(var(--pallete-text-primary-rgb), 10%);
            &::before {
                background-color: rgba(var(--pallete-text-primary-rgb), 90%);
            }
        }
    }

}